"use strict";
this.name = "stealth_barracuda";
this.author = "Thargoid";
this.copyright = "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description = "Script for stealth ship appearing and vanishing";
this.version = "1.06";

this.shipSpawned = function () {
	worldScripts.stealth_missionScript.stealth_stealthGroup.addShip(this.ship);
	if (player.score > 512) { this.ship.awardEquipment("EQ_SHIELD_BOOSTER"); }
	if (player.score > 2560) { this.ship.awardEquipment("EQ_SHIELD_ENHANCER"); }
	missionVariables.stealth_barraCount += 1;
}

this.stealthMode = function (state) {
	if (state && state == "off") {
		this.ship.scannerDisplayColor1 = "redColor";
		this.ship.scannerDisplayColor2 = "redColor";
	} else {
		this.ship.scannerDisplayColor1 = [0, 0, 0, 0];
	}
}

this.shipDied = function (who, why) { 
	missionVariables.stealth_barraKills += 1;
}